import request from '@/utils/request'

// 分页（已渲染）
export function storehouselist(params) {
  return request({
    url: '/api/secondary/storehouselist',
    method: 'get',
    params: params
  })
}

// 获取当前机构的所有可用仓库名称接口(已渲染)
export function getallstorehousename(params) {
  return request({
    url: '/api/secondary/getallstorehousename',
    method: 'get',
    params: params
  })
}

// 获取一条仓库数据接口(好像用不到了)
export function getonestorehouse(params) {
  return request({
    url: '/api/secondary/getonestorehouse',
    method: 'get',
    params: params
  })
}

// 修改仓库接口(已渲染)
export function updatestorehouse(data) {
  return request({
    url: '/api/secondary/updatestorehouse',
    method: 'post',
    data: data
  })
}

// 添加仓库接口(已渲染)
export function addstorehouse(data) {
  return request({
    url: '/api/secondary/addstorehouse',
    method: 'post',
    data: data
  })
}

// 仓库地址查重接口(合并到新增)
export function isstorehouseaddress(params) {
  return request({
    url: '/api/secondary/isstorehouseaddress',
    method: 'get',
    params: params
  })
}

// 仓库名称查重接口(合并到新增)
export function isstorehousename(params) {
  return request({
    url: '/api/secondary/isstorehousename',
    method: 'get',
    params: params
  })
}

// 删除仓库接口(已渲染)
export function deletestorehouse(params) {
  return request({
    url: '/api/secondary/deletestorehouse',
    method: 'get',
    params: params
  })
}

// 修改仓库状态接口(已渲染)
export function updatestatus(params) {
  return request({
    url: '/api/secondary/updatestatus',
    method: 'get',
    params: params
  })
}

// 获取仓库编号接口(已渲染)
export function getcode(params) {
  return request({
    url: '/api/secondary/getcode',
    method: 'get',
    params: params
  })
}

// 查询该机构的仓库配置(已渲染)
export function findstorehouseconfig(params) {
  return request({
    url: '/api/secondary/findstorehouseconfig',
    method: 'get',
    params: params
  })
}

// 更改耗材自动入库仓库(已渲染)
export function updateinfo(params) {
  return request({
    url: '/api/secondary/updateinfo',
    method: 'get',
    params: params
  })
}
// 更改耗材自动出库仓库(已渲染)
export function updateoutinfo(params) {
  return request({
    url: '/api/secondary/updateoutinfo',
    method: 'get',
    params: params
  })
}
// 更改药品自动入库仓库(已渲染)
export function updatedruginfo(params) {
  return request({
    url: '/api/secondary/updatedruginfo',
    method: 'get',
    params: params
  })
}
// 更改药品自动出库仓库(已渲染)
export function updatedrugout(params) {
  return request({
    url: '/api/secondary/updatedrugout',
    method: 'get',
    params: params
  })
}

// 获取当前登录人的id(已渲染)
export function getcreaterid(params) {
  return request({
    url: '/api/secondary/getcreaterid',
    method: 'get',
    params: params
  })
}
// 获取管理员列表(已渲染)
export function getusername(params) {
  return request({
    url: '/api/secondary/getusername',
    method: 'get',
    params: params
  })
}
